org.apache.cayenne.dba.oracle

## Class OracleUtilDateType

- java.lang.Object
- - org.apache.cayenne.access.types.UtilDateType
  - - org.apache.cayenne.dba.oracle.OracleUtilDateType

- All Implemented Interfaces:
    ExtendedType

      public class OracleUtilDateType
      extends UtilDateType

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleUtilDateType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `materializeObject(CallableStatement cs, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    `Date` | `materializeObject(ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    `protected Date` | `normalizeDate(Date time)` Offsets date component to be January 1, 1970, since Oracle adapter returns time based on January 1, 1900.

    - ### Methods inherited from class org.apache.cayenne.access.types.UtilDateType

      `convertToJdbcObject, getClassName, setJdbcObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OracleUtilDateType

          public OracleUtilDateType()

  - ### Method Detail

    - #### materializeObject

          public Date materializeObject(CallableStatement cs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType`
      Overrides:
        `materializeObject` in class `UtilDateType`
      Throws:
        `Exception` - if read error ocurred, or an object can't be converted to a target Java class.

    - #### materializeObject

          public Date materializeObject(ResultSet rs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType`
      Overrides:
        `materializeObject` in class `UtilDateType`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### normalizeDate

          protected Date normalizeDate(Date time)

      Offsets date component to be January 1, 1970, since Oracle adapter returns time based on January 1, 1900.

Copyright © 2001–2018 Apache Cayenne. All rights reserved.